<div class="container mt-5">
    <form [formGroup]="cadastroAtendimentoForm">
        <div class="d-flex flex-row-reverse mt-2">
            <button [routerLink]="['../pesquisa']" class="btn btn-primary" type="submit">Voltar</button>
        </div>
        <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                <label class="form-label" for="associadoInput">Associado</label>
                <input aria-describedby="associado" class="form-control" formControlName="associado" id="associadoInput"
                       type="text">
                <mat-error *ngIf="isControlHasError('associado','required')">
                    <strong>Campo obrigatório</strong>
                </mat-error>
            </div>
            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                <label class="form-label" for="prestadorInput">Prestador</label>
                <input aria-describedby="prestador" class="form-control" formControlName="prestador" id="prestadorInput"
                       type="text">
                <mat-error *ngIf="isControlHasError('prestador','required')">
                    <strong>Campo obrigatório</strong>
                </mat-error>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="conveniadoInput">Conveniado</label>
                <input aria-describedby="conveniado" class="form-control" formControlName="conveniado"
                       id="conveniadoInput"
                       type="text">
                <mat-error *ngIf="isControlHasError('conveniado','required')">
                    <strong>Campo obrigatório</strong>
                </mat-error>
            </div>
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="dataAtendimentoInput">Data de Atendimento</label>
                <input aria-describedby="dataAtendimento" class="form-control"
                       formControlName="dataAtendimento" id="dataAtendimentoInput"
                       type="text">
                <mat-error *ngIf="isControlHasError('dataAtendimento','required')">
                    <strong>Campo obrigatório</strong>
                </mat-error>
            </div>

            <div class="d-flex flex-row-reverse mt-2">
                <button (click)="salvar()" class="btn btn-primary" type="submit">Salvar</button>
                <button (click)="limpar()" class="btn btn-outline-danger me-2" type="submit">Limpar</button>
            </div>
        </div>
    </form>
</div>
